﻿using Infragistics;
using Infragistics.Controls.Charts;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamFunnelBackgroundCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public ObservableCollection<DataItem> Data { get; set; }
        public MainWindow()
        {
            InitializeComponent();
            Data = new ObservableCollection<DataItem>();
            Data.Add(new DataItem { Label = "Item 1", Value = 5 });
            Data.Add(new DataItem { Label = "Item 2", Value = 6 });
            Data.Add(new DataItem { Label = "Item 3", Value = 3 });
            Data.Add(new DataItem { Label = "Item 4", Value = 7 });
            Data.Add(new DataItem { Label = "Item 5", Value = 5 });

            Funnel1.DataContext = Data;

            BrushCollection BC = new BrushCollection();
            
            BC.Add(Brushes.Red);
            BC.Add(Brushes.Blue);
            BC.Add(Brushes.Yellow);
            BC.Add(Brushes.Purple);
            BC.Add(Brushes.Green);

            Funnel1.Brushes = BC;

        }
    }
    public class DataItem
    {
        public string Label { get; set; }
        public double Value { get; set; }
    }
}
